[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TBevelShape

TBevelShape is an enumerated type for shapes used in a bevel.

## Declaration

Source position: extctrls.pp line 669

`type TBevelShape = (`
`bsBox,` |  | Uses a raised or lowered box for the bevel.
`bsFrame,` |  | Uses a raised or lowered outline around a control.
`bsTopLine,` |  | Draws a solid line at the top of a control.
`bsBottomLine,` |  | Draws a solid line at the bottom of a control.
`bsLeftLine,` |  | Draws a solid line on the left edge of a control.
`bsRightLine,` |  | Draws a solid line on the right edge of a control.
`bsSpacer` |  | Draws an empty space as the bevel around a control.
`);`

## Description

TBevelShape is an enumerated type representing the shapes available for a bevel.

- bsBox
- bsFrame
- bsTopLine
- bsBottomLine
- bsLeftLine
- bsRightLine